"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os_1 = require("os");
const loader_utils_1 = require("loader-utils");
const _1 = require(".");
const normalizePatterns = (patterns) => Array.isArray(patterns) ? patterns : [patterns];
const coerceContentEOL = (content) => (content.endsWith(os_1.EOL) ? content : `${content}${os_1.EOL}`);
const getResourceContent = ({ content }) => coerceContentEOL(content);
const normalizeInjector = (injector) => {
    if (typeof injector === 'undefined' || injector === 'prepend') {
        return (source, resources) => resources.map(getResourceContent).join('') + source;
    }
    if (injector === 'append') {
        return (source, resources) => source + resources.map(getResourceContent).join('');
    }
    return injector;
};
exports.normalizeOptions = (ctx) => {
    const options = loader_utils_1.getOptions(ctx) || {};
    _1.validateOptions(options);
    const { patterns, injector, globOptions = {}, resolveUrl = true } = options;
    return {
        patterns: normalizePatterns(patterns),
        injector: normalizeInjector(injector),
        globOptions,
        resolveUrl,
    };
};
//# sourceMappingURL=normalize-options.js.map