"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const regex = /@(?:import|require)\s+(?:\([a-z,\s]+\)\s*)?['"]?([^'"\s;]+)['"]?;?/gu;
exports.resolveImportUrl = (ctx, { file, content }) => ({
    file,
    content: content.replace(regex, (match, pathToResource) => {
        if (!pathToResource || /^[~/]/u.test(pathToResource)) {
            return match;
        }
        const absolutePathToResource = path_1.default.resolve(path_1.default.dirname(file), pathToResource);
        const relativePathFromContextToResource = path_1.default
            .relative(ctx.context, absolutePathToResource)
            .split(path_1.default.sep)
            .join('/');
        return match.replace(pathToResource, relativePathFromContextToResource);
    }),
});
//# sourceMappingURL=resolve-import-url.js.map